## arkostracker 3.2.7

=== CMakeLists.txt ===
project(MainSoftware VERSION ${PROJECT_VERSION})

set(APPLICATION_NAME "Arkos Tracker")

set(TargetName ${PROJECT_NAME})

# Generates the projectinfo.cpp from the template. Also see the target_include_directories at the bottom.
configure_file(ProjectInfo.h_cmake_template ProjectInfo.h)

# Specific icon according to the platform. "Windows" also possible.
if(CMAKE_SYSTEM_NAME STREQUAL "Darwin")     # Mac.
    set(APP_ICON "../cpack/at3mac.png")
elseif(CMAKE_SYSTEM_NAME STREQUAL "Windows")
    set(APP_ICON "../cpack/at3nsis.png")
else()
    set(APP_ICON "../cpack/at3.ico")
endif()

# https://github.com/juce-framework/JUCE/blob/master/docs/CMake%20API.md#juce_add_target
juce_add_gui_app(${TargetName}
        # VERSION ...                       # Set this if the app version is different to the project version
        # ICON_BIG ...                      # ICON_* arguments specify a path to an image file to use as an icon
        # ICON_SMALL ...
        # DOCUMENT_EXTENSIONS ...           # Specify file extensions that should be associated with this app
        PRODUCT_NAME "ArkosTracker3"        # The name of the final executable, which can differ from the target name
        BUNDLE_ID "com.julien-nevo.arkostracker"        # Mostly for macOS.
        ICON_BIG "${APP_ICON}"
        COMPANY_NAME "Julien Névo"          # Specify the name of the app's author
)

# Removing the need of signing for MacOsX. This probably doesn't really work.
# https://gitlab.kitware.com/cmake/cmake/-/issues/19879
set_target_properties(
        ${TargetName}
        PROPERTIES
        XCODE_ATTRIBUTE_CODE_SIGNING_REQUIRED NO
        XCODE_ATTRIBUTE_CODE_SIGN_IDENTITY ""
        #XCODE_ATTRIBUTE_DEVELOPMENT_TEAM "${DEVELOPMENT_TEAM_ID}"
        #XCODE_ATTRIBUTE_PROVISIONING_PROFILE_SPECIFIER my_profile_name
        #XCODE_ATTRIBUTE_DEPLOYMENT_POSTPROCESSING YES   # this is needed for strip symbols
)

target_sources(${TargetName}
        PRIVATE
        Main.cpp
        ProjectInfo.h                       # Generated by CMake from a template (see configure_file above).

        commandLineTools/utils/CommandLineArgumentDescriptor.cpp
        commandLineTools/utils/CommandLineArgumentDescriptor.h
        commandLineTools/utils/CommandLineConstants.cpp
        commandLineTools/utils/CommandLineConstants.h
        commandLineTools/utils/CommandLineParser.cpp
        commandLineTools/utils/CommandLineParser.h
        commandLineTools/utils/Option.cpp
        commandLineTools/utils/Option.h
        commandLineTools/utils/Parameter.cpp
        commandLineTools/utils/Parameter.h
        commandLineTools/utils/CommandLineToolHelper.cpp
        commandLineTools/utils/CommandLineToolHelper.h

        app/preferences/FolderContext.h
        app/preferences/LastFolderTempStorage.cpp
        app/preferences/LastFolderTempStorage.h
        app/preferences/PreferencesManager.cpp
        app/preferences/PreferencesManager.h
        audio/effect/BaseEffect.cpp
        audio/effect/BaseEffect.h
        audio/effect/SpeakerEffect.cpp
        audio/effect/SpeakerEffect.h
        audio/effect/StereoSeparationEffect.cpp
        audio/effect/StereoSeparationEffect.h
        audio/effect/VolumeEffect.cpp
        audio/effect/VolumeEffect.h
        audio/sources/EffectsProcessor.cpp
        audio/sources/EffectsProcessor.h
        audio/sources/PsgsProcessor.cpp
        audio/sources/PsgsProcessor.h
        audio/sources/PsgStreamGenerator.cpp
        audio/sources/PsgStreamGenerator.h
        audio/sources/HardwareTables.cpp
        audio/sources/HardwareTables.h
        app/preferences/model/StoredOutputMix.cpp
        app/preferences/model/StoredOutputMix.h
        controllers/serial/model/SerialProfile.h
        audio/Volumes.cpp
        audio/Volumes.h
        business/CompoundAction.cpp
        business/CompoundAction.h
        business/actions/lists/AddItems.h
        business/actions/lists/DeleteItems.h
        business/actions/lists/MoveItems.h
        business/actions/instruments/psg/SetPsgInstrumentCell.cpp
        business/actions/instruments/psg/SetPsgInstrumentCell.h
        business/actions/instruments/psg/SetPsgInstrumentMetadata.cpp
        business/actions/instruments/psg/SetPsgInstrumentMetadata.h
        business/actions/instruments/psg/DuplicatePsgInstrumentCell.cpp
        business/actions/instruments/psg/DuplicatePsgInstrumentCell.h
        business/actions/instruments/psg/DeletePsgInstrumentCell.cpp
        business/actions/instruments/psg/DeletePsgInstrumentCell.h
        business/actions/instruments/psg/ModifyPsgInstrumentCells.cpp
        business/actions/instruments/psg/ModifyPsgInstrumentCells.h
        business/actions/instruments/psg/action/ToggleRetrigAction.cpp
        business/actions/instruments/psg/action/ToggleRetrigAction.h
        business/actions/instruments/psg/action/GenerateVolumeCellsAction.cpp
        business/actions/instruments/psg/action/GenerateVolumeCellsAction.h
        business/actions/instruments/sample/ModifySampleInstrumentMetadata.cpp
        business/actions/instruments/sample/ModifySampleInstrumentMetadata.h
        business/actions/instruments/sample/ChangeSample.cpp
        business/actions/instruments/sample/ChangeSample.h
        business/actions/instruments/AddInstruments.cpp
        business/actions/instruments/AddInstruments.h
        business/actions/instruments/DeleteInstruments.cpp
        business/actions/instruments/DeleteInstruments.h
        business/actions/instruments/InstrumentAction.cpp
        business/actions/instruments/InstrumentAction.h
        business/actions/instruments/MoveInstruments.cpp
        business/actions/instruments/MoveInstruments.h
        business/actions/instruments/RenameInstrument.cpp
        business/actions/instruments/RenameInstrument.h
        business/actions/instruments/SetInstrumentColor.cpp
        business/actions/instruments/SetInstrumentColor.h
        business/actions/instruments/SwapInstruments.cpp
        business/actions/instruments/SwapInstruments.h
        business/actions/instruments/RemapInstruments.cpp
        business/actions/instruments/RemapInstruments.h
        business/actions/expressions/AddExpressions.cpp
        business/actions/expressions/AddExpressions.h
        business/actions/expressions/DeleteExpressions.cpp
        business/actions/expressions/DeleteExpressions.h
        business/actions/expressions/ExpressionAction.cpp
        business/actions/expressions/ExpressionAction.h
        business/actions/expressions/MoveExpressions.cpp
        business/actions/expressions/MoveExpressions.h
        business/actions/expressions/ModifyExpressionCells.cpp
        business/actions/expressions/ModifyExpressionCells.h
        business/actions/expressions/SetExpressionCell.cpp
        business/actions/expressions/SetExpressionCell.h
        business/actions/expressions/SetExpressionCellMetadata.cpp
        business/actions/expressions/SetExpressionCellMetadata.h
        business/actions/expressions/RenameExpression.cpp
        business/actions/expressions/RenameExpression.h
        business/actions/expressions/DuplicateExpressionCell.cpp
        business/actions/expressions/DuplicateExpressionCell.h
        business/actions/expressions/DeleteExpressionCell.cpp
        business/actions/expressions/DeleteExpressionCell.h
        business/actions/linker/DeletePositions.cpp
        business/actions/linker/DeletePositions.h
        business/actions/linker/DuplicatePositions.cpp
        business/actions/linker/DuplicatePositions.h
        business/actions/linker/ClearPatterns.cpp
        business/actions/linker/ClearPatterns.h
        business/actions/linker/ClonePositions.cpp
        business/actions/linker/ClonePositions.h
        business/actions/linker/CreatePattern.cpp
        business/actions/linker/CreatePattern.h
        business/actions/linker/IncreasePatternInPosition.cpp
        business/actions/linker/IncreasePatternInPosition.h
        business/actions/linker/InsertPositions.cpp
        business/actions/linker/InsertPositions.h
        business/actions/linker/ModifyPosition.cpp
        business/actions/linker/ModifyPosition.h
        business/actions/linker/ModifyPositionMarker.cpp
        business/actions/linker/ModifyPositionMarker.h
        business/actions/linker/ModifyPositionsData.cpp
        business/actions/linker/ModifyPositionsData.h
        business/actions/linker/MovePositionMarker.cpp
        business/actions/linker/MovePositionMarker.h
        business/actions/linker/MovePositions.cpp
        business/actions/linker/MovePositions.h
        business/actions/linker/SetLoopStartAndEnd.cpp
        business/actions/linker/SetLoopStartAndEnd.h
        business/actions/linker/ModifyPattern.cpp
        business/actions/linker/ModifyPattern.h
        business/actions/linker/RearrangePatterns.cpp
        business/actions/linker/RearrangePatterns.h
        business/actions/patternViewer/SetCellData.cpp
        business/actions/patternViewer/SetCellData.h
        business/actions/patternViewer/SetPositionHeight.cpp
        business/actions/patternViewer/SetPositionHeight.h
        business/actions/patternViewer/SetSpecialCellData.cpp
        business/actions/patternViewer/SetSpecialCellData.h
        business/actions/patternViewer/SetTrackName.cpp
        business/actions/patternViewer/SetTrackName.h
        business/actions/patternViewer/SetSpecialTrackName.cpp
        business/actions/patternViewer/SetSpecialTrackName.h
        business/actions/patternViewer/PasteCells.cpp
        business/actions/patternViewer/PasteCells.h
        business/actions/patternViewer/LinkTrack.cpp
        business/actions/patternViewer/LinkTrack.h
        business/actions/patternViewer/LinkSpecialTrack.cpp
        business/actions/patternViewer/LinkSpecialTrack.h
        business/actions/patternViewer/CellsModifier.cpp
        business/actions/patternViewer/CellsModifier.h
        business/actions/patternViewer/DeleteNote.cpp
        business/actions/patternViewer/DeleteNote.h
        business/actions/patternViewer/ToggleReadOnly.cpp
        business/actions/patternViewer/ToggleReadOnly.h
        business/actions/patternViewer/Transpose.cpp
        business/actions/patternViewer/Transpose.h
        business/actions/patternViewer/TransposeNote.cpp
        business/actions/patternViewer/TransposeNote.h
        business/actions/patternViewer/TransposeRate.h
        business/actions/patternViewer/UnlinkSpecialTrack.cpp
        business/actions/patternViewer/UnlinkSpecialTrack.h
        business/actions/patternViewer/UnlinkTrack.cpp
        business/actions/patternViewer/UnlinkTrack.h
        business/actions/patternViewer/SwapCells.cpp
        business/actions/patternViewer/SwapCells.h
        business/actions/patternViewer/insertOrRemoveCellAt/InsertCellAt.cpp
        business/actions/patternViewer/insertOrRemoveCellAt/InsertCellAt.h
        business/actions/patternViewer/insertOrRemoveCellAt/RemoveCellAt.cpp
        business/actions/patternViewer/insertOrRemoveCellAt/RemoveCellAt.h
        business/actions/patternViewer/insertOrRemoveCellAt/InsertOrRemoveCellAt.cpp
        business/actions/patternViewer/insertOrRemoveCellAt/InsertOrRemoveCellAt.h
        business/actions/patternViewer/ClearCells.cpp
        business/actions/patternViewer/ClearCells.h
        business/actions/patternViewer/SelectedData.cpp
        business/actions/patternViewer/SelectedData.h
        business/actions/song/SetSongMetadata.cpp
        business/actions/song/SetSongMetadata.h
        business/actions/subsong/CreateSubsong.cpp
        business/actions/subsong/CreateSubsong.h
        business/actions/subsong/DeleteSubsong.cpp
        business/actions/subsong/DeleteSubsong.h
        business/actions/subsong/SetSubsongPsgs.h
        business/actions/subsong/SetSubsongPsgs.cpp
        business/actions/subsong/SetSubsongMetadata.cpp
        business/actions/subsong/SetSubsongMetadata.h
        business/actions/subsong/SubsongActionHelper.cpp
