=== commandLineTools/baseExport/CMakeLists.txt ===
# Empty project that declares the sources in the "SongToXXX..." project, so that there is no need
# to copy/paste them each time.

cmake_minimum_required(VERSION 3.12)

project(BaseExport)

set(TargetName ${PROJECT_NAME})

add_library(${TargetName})

target_compile_definitions(${TargetName} PRIVATE)

target_sources(
        ${TargetName}
        PRIVATE

        ../../audio/effect/BaseEffect.cpp
        ../../audio/effect/BaseEffect.h
        ../../audio/effect/SpeakerEffect.cpp
        ../../audio/effect/SpeakerEffect.h
        ../../audio/effect/StereoSeparationEffect.cpp
        ../../audio/effect/StereoSeparationEffect.h
        ../../audio/effect/VolumeEffect.cpp
        ../../audio/effect/VolumeEffect.h
        ../../audio/sources/EffectsProcessor.cpp
        ../../audio/sources/EffectsProcessor.h
        ../../audio/sources/PsgsProcessor.cpp
        ../../audio/sources/PsgsProcessor.h
        ../../audio/sources/PsgStreamGenerator.cpp
        ../../audio/sources/PsgStreamGenerator.h
        ../../audio/sources/HardwareTables.cpp
        ../../audio/sources/HardwareTables.h
        ../../app/preferences/model/StoredOutputMix.cpp
        ../../app/preferences/model/StoredOutputMix.h
        ../../controllers/serial/model/SerialProfile.h
        ../../audio/Volumes.cpp
        ../../audio/Volumes.h
        ../../business/model/Loop.cpp
        ../../business/model/Loop.h
        ../../business/model/StartEnd.cpp
        ../../business/model/StartEnd.h
        ../../business/model/Speed.h
        ../../business/patternViewer/DisplayedEffects.cpp
        ../../business/patternViewer/DisplayedEffects.h
        ../../business/serialization/patternViewer/EffectToCharSerializer.cpp
        ../../business/serialization/patternViewer/EffectToCharSerializer.h
        ../../business/serialization/patternViewer/TrackSerializer.cpp
        ../../business/serialization/patternViewer/TrackSerializer.h
        ../../business/serialization/song/ExpressionSerializer.cpp
        ../../business/serialization/song/ExpressionSerializer.h
        ../../business/serialization/instrument/InstrumentSerializer.cpp
        ../../business/serialization/instrument/InstrumentSerializer.h
        ../../business/serialization/instrument/InstrumentNodes.cpp
        ../../business/serialization/instrument/InstrumentNodes.h
        ../../business/serialization/song/PositionSerializer.cpp
        ../../business/serialization/song/PositionSerializer.h
        ../../business/serialization/song/PatternSerializer.cpp
        ../../business/serialization/song/PatternSerializer.h
        ../../business/serialization/song/CellSerializer.cpp
        ../../business/serialization/song/CellSerializer.h
        ../../business/serialization/song/SpecialCellSerializer.cpp
        ../../business/serialization/song/SpecialCellSerializer.h
        ../../business/serialization/sourceProfile/SourceProfileSerializer.cpp
        ../../business/serialization/sourceProfile/SourceProfileSerializer.h
        ../../business/serialization/sourceProfile/SourceProfileXmlNodes.cpp
        ../../business/serialization/sourceProfile/SourceProfileXmlNodes.h
        ../../business/sourceProfile/SourceProfile.cpp
        ../../business/sourceProfile/SourceProfile.h
        ../../business/sourceProfile/SourceProfileValidator.cpp
        ../../business/sourceProfile/SourceProfileValidator.h
        ../../business/song/cells/CellEffectsChecker.cpp
        ../../business/song/cells/CellEffectsChecker.h
        ../../business/song/tool/WaitCounter.cpp
        ../../business/song/tool/WaitCounter.h
        ../../business/song/tool/InstrumentSimpleCounter.cpp
        ../../business/song/tool/InstrumentSimpleCounter.h
        ../../business/song/tool/browser/CellAndLocation.cpp
        ../../business/song/tool/browser/CellAndLocation.h
        ../../business/song/tool/browser/CellBrowser.cpp
        ../../business/song/tool/browser/CellBrowser.h
        ../../business/song/tool/browser/SpecialCellBrowser.cpp
        ../../business/song/tool/browser/SpecialCellBrowser.h
        ../../business/song/tool/browser/SpecialCellAndLocation.cpp
        ../../business/song/tool/browser/SpecialCellAndLocation.h
        ../../business/song/tool/browser/TrackBrowser.cpp
        ../../business/song/tool/browser/TrackBrowser.h
        ../../business/song/tool/ChangeExpressionsOrdering.cpp
        ../../business/song/tool/ChangeExpressionsOrdering.h
        ../../business/song/tool/ChangeInstrumentsOrdering.cpp
        ../../business/song/tool/ChangeInstrumentsOrdering.h
        ../../business/song/tool/builder/SongBuilder.cpp
        ../../business/song/tool/builder/SongBuilder.h
        ../../business/song/tool/builder/SubsongBuilder.cpp
        ../../business/song/tool/builder/SubsongBuilder.h
        ../../business/song/tool/builder/PatternUnoptimizer.cpp
        ../../business/song/tool/builder/PatternUnoptimizer.h
        ../../business/song/tool/builder/TrailingEffectContext.cpp
        ../../business/song/tool/builder/TrailingEffectContext.h
        ../../business/song/tool/frameCounter/FrameCounter.cpp
        ../../business/song/tool/frameCounter/FrameCounter.h
        ../../business/song/tool/speed/DetermineSpeed.cpp
        ../../business/song/tool/speed/DetermineSpeed.h
        ../../business/song/tool/songStripper/SongStripper.cpp
        ../../business/song/tool/songStripper/SongStripper.h
        ../../business/song/tool/songStripper/SubsongsAndPsgs.cpp
        ../../business/song/tool/songStripper/SubsongsAndPsgs.h
        ../../business/song/tool/BaseNoteFinder.cpp
        ../../business/song/tool/BaseNoteFinder.h
        ../../business/song/tool/CellOperations.cpp
        ../../business/song/tool/CellOperations.h
        ../../business/song/tool/ChangeExpressionsOrdering.cpp
        ../../business/song/tool/ChangeExpressionsOrdering.h
        ../../business/song/tool/ChangeInstrumentsOrdering.cpp
        ../../business/song/tool/ChangeInstrumentsOrdering.h
        ../../business/song/tool/InlineArpeggioConverter.cpp
        ../../business/song/tool/InlineArpeggioConverter.h
        ../../business/song/tool/RetrigInInstrumentHeaderNormalizer.cpp
        ../../business/song/tool/RetrigInInstrumentHeaderNormalizer.h
        ../../business/song/tool/optimizers/BaseItemOptimizer.h
        ../../business/song/tool/optimizers/ExpressionOptimizer.cpp
        ../../business/song/tool/optimizers/ExpressionOptimizer.h
        ../../business/song/tool/optimizers/ExpressionsOptimizer.cpp
        ../../business/song/tool/optimizers/ExpressionsOptimizer.h
        ../../business/song/tool/optimizers/InstrumentOptimizer.cpp
        ../../business/song/tool/optimizers/InstrumentOptimizer.h
        ../../business/song/tool/optimizers/InstrumentsOptimizer.cpp
        ../../business/song/tool/optimizers/InstrumentsOptimizer.h
        ../../business/song/tool/optimizers/PatternOptimizer.cpp
        ../../business/song/tool/optimizers/PatternOptimizer.h
        ../../business/song/tool/optimizers/SongOptimizer.cpp
        ../../business/song/tool/optimizers/SongOptimizer.h
        ../../business/song/tool/sfx/FirstNotePerInstrumentFinder.cpp
        ../../business/song/tool/sfx/FirstNotePerInstrumentFinder.h
        ../../business/song/tool/context/model/LineContext.cpp
        ../../business/song/tool/context/model/LineContext.h
        ../../business/instrument/GenericInstrumentGenerator.cpp
        ../../business/instrument/GenericInstrumentGenerator.h
        ../../business/song/validation/CheckLoopStartEnd.cpp
        ../../business/song/validation/CheckLoopStartEnd.h
        ../../business/song/validation/CheckTrackHeight.cpp
        ../../business/song/validation/CheckTrackHeight.h
        ../../business/song/validation/CorrectExpression.cpp
        ../../business/song/validation/CorrectExpression.h
        ../../business/song/validation/CorrectInstrument.cpp
        ../../business/song/validation/CorrectInstrument.h
        ../../business/song/validation/LoopChange.cpp
        ../../controllers/model/OutputMix.cpp
        ../../controllers/model/OutputMix.h
        ../../controllers/model/Follow.h
        ../../export/at3/SongNodes.cpp
        ../../export/at3/SongNodes.h
        ../../export/samples/SampleEncoderFlags.cpp
        ../../export/samples/SampleEncoderFlags.h
        ../../export/ExportConfiguration.cpp
        ../../export/ExportConfiguration.h
        ../../import/soundtrakker/Stk128Importer.cpp
        ../../import/soundtrakker/Stk128Importer.h
        ../../import/soundtrakker/SubsongImporter.cpp
        ../../import/soundtrakker/SubsongImporter.h
        ../../import/soundtrakker/Stk128Constants.h
        ../../import/starkos/StarkosImporter.cpp
        ../../import/starkos/StarkosImporter.h
        ../../import/starkos/InstrumentReader.cpp
        ../../import/starkos/InstrumentReader.h
        ../../import/starkos/TrackReader.cpp
        ../../import/starkos/TrackReader.h
        ../../import/at1/At1SongImporter.cpp
        ../../import/at1/At1SongImporter.h
        ../../import/at2/At2SongImporter.cpp
        ../../import/at2/At2SongImporter.h
        ../../import/at2/SubsongReader.cpp
        ../../import/at2/SubsongReader.h
        ../../import/at3/At3SongImporter.cpp
        ../../import/at3/At3SongImporter.h
        ../../import/chp/ChpSongImporter.cpp
        ../../import/chp/ChpSongImporter.h
        ../../import/vt2/Vt2SongImporter.cpp
        ../../import/vt2/Vt2SongImporter.h
        ../../import/vt2/Vt2InstrumentBuilder.cpp
        ../../import/vt2/Vt2InstrumentBuilder.h
        ../../import/wyz/WyzSongImporter.cpp
        ../../import/wyz/WyzSongImporter.h
        ../../import/SongImporter.h
        ../../import/ImportedFormat.h
        ../../import/loader/SongLoader.cpp
        ../../import/loader/SongLoader.h
        ../../import/loader/configuration/ImportConfiguration.cpp
        ../../import/loader/configuration/ImportConfiguration.h
        ../../import/loader/configuration/ImportFirstPassReturnData.h
        ../../import/mod/ModConfiguration.cpp
        ../../import/mod/ModConfiguration.h
        ../../import/mod/ModTrackCell.cpp
        ../../import/mod/ModTrackCell.h
        ../../import/mod/ModSongImporter.cpp
        ../../import/mod/ModSongImporter.h
        ../../import/midi/MidiConfiguration.cpp
        ../../import/midi/MidiConfiguration.h
        ../../import/midi/MidiImporter.cpp
        ../../import/midi/MidiImporter.h
        ../../import/midi/MidiTrackReader.cpp
        ../../import/midi/MidiTrackReader.h
        ../../import/common/ChannelMixerKeeper.cpp
        ../../import/common/ChannelMixerKeeper.h
        ../../import/ConfigurationType.h
        ../../reader/StreamedMusicReader.cpp
        ../../reader/StreamedMusicReader.h
        ../../reader/ym/YmReader.cpp
        ../../reader/ym/YmReader.h
        ../../reader/ym/decoder/YmDecoder.cpp
        ../../reader/ym/decoder/YmDecoder.h
        ../../reader/ym/decoder/YmDecoder123.cpp
        ../../reader/ym/decoder/YmDecoder123.h
        ../../reader/ym/decoder/YmDecoder3b.cpp
        ../../reader/ym/decoder/YmDecoder3b.h
        ../../reader/ym/decoder/YmDecoder456.cpp
        ../../reader/ym/decoder/YmDecoder456.h
        ../../reader/vgm/VgmReader.cpp
        ../../reader/vgm/VgmReader.h
        ../../disark/base/AreaTag.cpp
        ../../disark/base/AreaTag.h
        ../../utils/ErrorReport.cpp
        ../../utils/ErrorReport.h
        ../../utils/StreamUtil.cpp
        ../../utils/StreamUtil.h
        ../../utils/SpeedUtil.cpp
        ../../utils/SpeedUtil.h
        ../../utils/Base64Util.cpp
        ../../utils/Base64Util.h
        ../../player/channel/ChannelOutputRegisters.cpp
        ../../player/channel/ChannelOutputRegisters.h
        ../../player/channel/ChannelPlayer.cpp
        ../../player/channel/ChannelPlayer.h
        ../../player/channel/ChannelPlayerResults.cpp
        ../../player/channel/ChannelPlayerResults.h
