=== debian/watch ===
version=4
opts="mode=git,pgpmode=auto,repack,compression=xz,filenamemangle=s/.+\/v?(\d[\d.]*)\.tar\.gz/arkostracker3-$1.tar.gz/" \
	https://bitbucket.org/JulienNevo/arkostracker3.git refs/tags/(\d+).(\d+).(\d+) \
debian uupdate
